import 'package:flutter/material.dart';
import 'package:font_awesome_flutter/font_awesome_flutter.dart';
import 'package:senior_design_system/widgets/senior_colorful_header_structure.dart';

class ColorfulHeaderStructureExample extends StatefulWidget {
  const ColorfulHeaderStructureExample({
    Key? key,
  }) : super(key: key);

  @override
  _ColorfulHeaderStructureExampleState createState() =>
      _ColorfulHeaderStructureExampleState();
}

class _ColorfulHeaderStructureExampleState
    extends State<ColorfulHeaderStructureExample> {
  @override
  Widget build(BuildContext context) {
    return Scaffold(
      body: SeniorColorfulHeaderStructure(
        title: Text('Meu Appbar'),
        controller: ScrollController(),
        leading: IconButton(
          onPressed: () {},
          icon: Icon(
            FontAwesomeIcons.chevronLeft,
          ),
        ),
        body: Container(
          child: Center(
            child: Text('Meu texto centralizado'),
          ),
        ),
      ),
    );
  }
}
